# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslatePolyLoop Class Reference

`#include <StepToTopoDS_TranslatePolyLoop.hxx>`

Inheritance diagram for StepToTopoDS_TranslatePolyLoop:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslatePolyLoop ()
Standard_EXPORT | StepToTopoDS_TranslatePolyLoop (const Handle(StepShape_PolyLoop)&PL, StepToTopoDS_Tool &T, const Handle(Geom_Surface)&S, const TopoDS_Face &F)
Standard_EXPORT void | Init (const Handle(StepShape_PolyLoop)&PL, StepToTopoDS_Tool &T, const Handle(Geom_Surface)&S, const TopoDS_Face &F)
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT StepToTopoDS_TranslatePolyLoopError | Error () const

## Private Attributes

StepToTopoDS_TranslatePolyLoopError | myError
TopoDS_Shape | myResult

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslatePolyLoop::StepToTopoDS_TranslatePolyLoop | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslatePolyLoop::StepToTopoDS_TranslatePolyLoop | ( | const Handle(StepShape_PolyLoop)& | PL,
|  | StepToTopoDS_Tool & | T,
|  | const Handle(Geom_Surface)& | S,
|  | const TopoDS_Face & | F
| ) |

## Member Function Documentation

Standard_EXPORT StepToTopoDS_TranslatePolyLoopError StepToTopoDS_TranslatePolyLoop::Error | ( |  | ) | const

Standard_EXPORT void StepToTopoDS_TranslatePolyLoop::Init | ( | const Handle(StepShape_PolyLoop)& | PL,
|  | StepToTopoDS_Tool & | T,
|  | const Handle(Geom_Surface)& | S,
|  | const TopoDS_Face & | F
| ) |

void StepToTopoDS_TranslatePolyLoop::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslatePolyLoop::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslatePolyLoop::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_TranslatePolyLoop::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_TranslatePolyLoopError StepToTopoDS_TranslatePolyLoop::myError `[private]`

TopoDS_Shape StepToTopoDS_TranslatePolyLoop::myResult `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslatePolyLoop.hxx